Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.api.context
Class Context

    java.lang.Object
      com.intel.cosbench.api.context.Context

Direct Known Subclasses:
  AuthContext

    public class Context

extends java.lang.Object

This class represents context information exchanged between Auth and Storage API.

Author:
  ywang19

Constructor Summary
`Context()`

Method Summary
`java.lang.Object` | `get(java.lang.String key)`
`java.lang.Object` | `get(java.lang.String key, java.lang.Object defVal)`
`boolean` | `getBoolean(java.lang.String key)`
`boolean` | `getBoolean(java.lang.String key, boolean defVal)`
`double` | `getDouble(java.lang.String key)`
`double` | `getDouble(java.lang.String key, double defVal)`
`int` | `getInt(java.lang.String key)`
`int` | `getInt(java.lang.String key, int defVal)`
`long` | `getLong(java.lang.String key)`
`long` | `getLong(java.lang.String key, long defVal)`
`java.lang.String` | `getStr(java.lang.String key)`
`java.lang.String` | `getStr(java.lang.String key, java.lang.String defVal)`
`void` | `put(java.lang.String key, java.lang.Object val)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Context

    public Context()

Method Detail

### put

    public void put(java.lang.String key,
                    java.lang.Object val)

### get

    public java.lang.Object get(java.lang.String key)

### get

    public java.lang.Object get(java.lang.String key,
                                java.lang.Object defVal)

### getStr

    public java.lang.String getStr(java.lang.String key)

### getStr

    public java.lang.String getStr(java.lang.String key,
                                   java.lang.String defVal)

### getInt

    public int getInt(java.lang.String key,
                      int defVal)

### getInt

    public int getInt(java.lang.String key)

### getLong

    public long getLong(java.lang.String key,
                        long defVal)

### getLong

    public long getLong(java.lang.String key)

### getDouble

    public double getDouble(java.lang.String key,
                            double defVal)

### getDouble

    public double getDouble(java.lang.String key)

### getBoolean

    public boolean getBoolean(java.lang.String key,
                              boolean defVal)

### getBoolean

    public boolean getBoolean(java.lang.String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD